<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8"/>
    <title>Title</title>
</head>
<body>
    <form action="#" th:action="@{/confirm}" th:object="${confirmationCodeForm}" method="post">
        <table>
            <tr>
                <td>Pls Enter Your confirmation Code sent to your mobile phone number: </td>
                <td><input type="password" name="code" /></td>
                <td th:if="${error == 'true'}">Confirmation code is invalid, please try again.</td>

                <input type="password" name="email" style="display: none;" th:value="${userForm.email}"/>
                <input type="password" name="phone" style="display: none;" th:value="${userForm.phone}"/>
                <input type="password" name="password" style="display: none;" th:value="${userForm.password}"/>
            </tr>
            <tr>
                <td><button type="submit">Submit</button></td>
            </tr>
        </table>
    </form>

</body>
</html>